Appearance
Create Project Document
Upload and attach a document to a project instance. Requires the PROJECT_MANAGEMENT feature flag and ADMIN or MANAGE_PROJECTS permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
projectInstanceId* | string | The unique identifier of the project instance |
body.name* | string | Display name for the document |
body.url* | string | The URL of the uploaded file |
body.mimeType | string | The MIME type of the document |
Return Value
The updated project instance with the new document attached.
Examples
bash
curl -X POST "https://app.wombat.software/api/{targetPath}/project/:projectInstanceId/document" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Project Plan", "url": "https://storage.example.com/plan.pdf", "mimeType": "application/pdf"}'ENDPOINTS
post
/api/{targetPath}/project/:projectInstanceId/document